From c7f16cac24dd0abb755b31cea8ecdda439f8ef91 Mon Sep 17 00:00:00 2001
From: Janpriya Malviya <Janpriya_Malviya@bose.com>
Date: Mon, 11 Apr 2022 16:01:22 +0530
Subject: [PATCH] Added configuration flag to skip cover art atom

---
 libavformat/isom.h | 1 +
 libavformat/mov.c  | 8 ++++++++
 2 files changed, 9 insertions(+)

diff --git a/libavformat/isom.h b/libavformat/isom.h
index 41a9c64..f217276 100644
--- a/libavformat/isom.h
+++ b/libavformat/isom.h
@@ -291,6 +291,7 @@ typedef struct MOVContext {
     int decryption_key_len;
     int enable_drefs;
     int32_t movie_display_matrix[3][3]; ///< display matrix from mvhd
+    int skip_cover_page;
 } MOVContext;
 
 int ff_mp4_read_descr_len(AVIOContext *pb);
diff --git a/libavformat/mov.c b/libavformat/mov.c
index dfb41b9..838bb31 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -197,6 +197,12 @@ static int mov_read_covr(MOVContext *c, AVIOContext *pb, int type, int len)
         return 0;
     }
 
+    if ( c->skip_cover_page ){
+        av_log(c->fc, AV_LOG_WARNING, "skip cover art from parsing \n");
+        avio_skip(pb, len);
+        return 0;
+    }
+
     st = avformat_new_stream(c->fc, NULL);
     if (!st)
         return AVERROR(ENOMEM);
@@ -8167,6 +8173,8 @@ static const AVOption mov_options[] = {
     { "decryption_key", "The media decryption key (hex)", OFFSET(decryption_key), AV_OPT_TYPE_BINARY, .flags = AV_OPT_FLAG_DECODING_PARAM },
     { "enable_drefs", "Enable external track support.", OFFSET(enable_drefs), AV_OPT_TYPE_BOOL,
         {.i64 = 0}, 0, 1, FLAGS },
+	{ "skip_cover_page", "Skip cover pages from parsing ", OFFSET(skip_cover_page),
+	        AV_OPT_TYPE_BOOL, { .i64 = 0 }, 0, 1, .flags = FLAGS },
 
     { NULL },
 };
-- 
2.7.4

